Environment modules a dependency of scl?

We are just installing OnDemand 1.8 on RH 8, and it seems that the SCL now requires and uses Environment Modules,

scl-utils-2.0.2-12.el8.x86_64
environment-modules-4.5.2-1.el8.x86_64

We are an Lmod site, and I presume there are many other sites that are, also.

Am I right that most sites do not ‘double up’ OnDemand onto a login node, so this dependency would only be in effect on the web server that runs OnDemand?

I think that’s a dependency for SCL because SCL offer the ability to convert scl scripts to env modules. My guess is it is unused unless that feature is being used. Long story short, it should only be needed on the OOD server and probably wont even be used anyways.